This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 895585 - /usr/lib64/libselinux.so is a symlink to ../../lib64/libselinux.so.1
/usr/lib64/libselinux.so is a symlink to ../../lib64/libselinux.so.1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Paris
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-15 10:23 EST by Dick Marinus
Modified: 2015-01-14 08:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-14 08:05:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
libselinux-usrmerge.patch (636 bytes, patch)
2013-01-19 08:06 EST, Dick Marinus
no flags Details | Diff

  None (edit)
Description Dick Marinus 2013-01-15 10:23:31 EST
/usr/lib64/libselinux.so from libselinux-devel-2.1.12-13.fc19.x86_64 is a symlink to ../../lib64/libselinux.so.1

I understand /lib64 is a symlink to /usr/lib64 but why isn't it symlinked directly to (/usr/lib64/)libselinux.so.1 ?
Comment 1 Dick Marinus 2013-01-19 08:06:03 EST
Created attachment 683020 [details]
libselinux-usrmerge.patch
Comment 2 Eric Paris 2013-01-21 11:27:35 EST
I think I've decided to just make the symlink between libselinux.so -> libselinux.so.1

I will not do any of the ../../ stuff.  This is what every other library on earth does and we can stop being silly.
Comment 3 Fedora End Of Life 2013-04-03 10:50:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 12:34:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.